<?php
session_start();

   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;
   extract($_POST);
	   function redondear($valor) {
$float_redondeado=round($valor * 100) / 100;
return $float_redondeado;
}
           $lafecha=$_POST['fecha'];        
     $qp = "select  month('$lafecha')+1, year('$lafecha')";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
                 while($rDG = mysqli_fetch_row($cp)) 
                     {
                $elmes = $rDG[0];
                $elano = $rDG[1];

               };
                   
         if($elmes==13){$elmes=1; $elano=$elano+1;}
 
  $qcc1 = "SELECT sum(apagar) FROM `regs2` WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and status=1";
           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rrc = mysqli_fetch_row($ccc1);
  
         $depositos=redondear($rrc[0]);
   $qc1 = "SELECT sum(apagar) FROM `regs2` WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31' and (status=0 or status=8)";
           $cc1 = mysqli_query($conexion, $qc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr = mysqli_fetch_row($cc1);
  
         $porpagar=redondear($rr[0]);
 
    $qc2 = "SELECT sum(regalias) FROM `regs2` join asignaregs on asignaregs.idreg=regs2.idreg join pagovta on pagovta.idtransacciones=asignaregs.idtransacciones WHERE fechap between '$elano-$elmes-01' and '$elano-$elmes-31'";
           $cc2 = mysqli_query($conexion, $qc2) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr2 = mysqli_fetch_row($cc2);
  
         $regalias=redondear($rr2[0]);
 
 
echo"<BR><center><font color=\"#5C3C12\" size=\"+2\">Reporte mensual de regalias</font><br><br>
<table border=1>
<tr><td><b>Por Pagar</b></td><td>$ $porpagar</td><td></td><td></td></tr>
<tr><td><b>Depositos</b></td><td>$ $depositos</td><td></td><td></td></tr>
<tr><td><b>Producto</b></td><td>$ $regalias</td><td></td><td></td></tr>
<tr><td><b>Voucher</b></td><td></td><td></td><td></td></tr>
</center>";
?>